FTGRID(1)

NAME
ftgrid - simple glyph grid viewer

SYNOPSIS
ftgrid [options] [pt] font ...

DESCRIPTION
ftgrid displays the glyphs of a font as outlines right before the conversion from outlines to pixels take place. It also displays the resulting bitmap. It is possible to interactively change hinting and rendering options, thus visualizing the applied distortions to the outlines.

pt  The point size for the given resolution. If resolution is 72dpi, this directly gives the ppem value (pixels per EM).

font
    The font file(s) to display. For Type 1 font files, ftgrid also tries to attach the corresponding metrics file (with extension `.afm' or `.pfm').

This program is part of the FreeType demos package.

OPTIONS

-d WxH[xD]
    Set the window width to W px, the height to H px, and optionally the depth to D bpp (default: 640x480x24).

-r r
    Use resolution r dpi (default: 72dpi).

-f index
    Specify first index to display (default: 0).

-e enc
    Specify encoding tag (default: no encoding). Common values: unic (Unicode), symb (symbol), ADOB (Adobe standard), ADBC (Adobe custom), or a numeric charmap index.

-a "axis1 axis2 ..."
    For Multiple Master, GX, or OpenType variation fonts, specify design coordinates for each axis at start-up. This option implies option -n. Ignored for all other font formats.

-n  Don't display named instances of variation fonts.

-k keys
    Emulate sequence of keystrokes upon start-up. If the keystrokes contain 'q', the program operates in batch mode. Function keys Fx are mapped to character codes 0xFx; as an example, -k $'\xF3q' is function key 'F3' followed by character 'q'.

-v  Show version.